<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			christian.rodriguez
@cu 				CU-SA-AC-040 Consultar cotizaciones de avalúos
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Consultar cotizaciones de avalúos::.
    </ui:define>

    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

        <script src="#{request.contextPath}/js/jquery.formatCurrency.js"
                type="text/javascript" />

        <p:focus />

        <p:messages id="msgsCCA" showDetail="false" globalOnly="false" />

        <p:spacer height="5" width="0" />

        <h:form id="consultarCotizacionesAvaluosForm">

            <h:panelGrid id="busquedaCotizacionesAvaluosPG" width="100%">

                <p:fieldset>

                    <legend>
                        <h:outputText value="Criterios de búsqueda"
                                      styleClass="legendTitle" />
                    </legend>


                    <h:panelGrid columns="4" cellspacing="7"
                                 columnClasses="col25p, col25p, col25p, col25p" width="100%"
                                 rendered="#{consultaCotizacionesAvaluos.banderaHabilitarTerritorial}">

                        <h:panelGroup>
                            <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        </h:panelGroup>
                        <h:panelGrid columns="2" cellspacing="0">
                            <h:selectOneMenu id="territorial" label="Territorial"
                                             value="#{consultaCotizacionesAvaluos.filtroAvaluos.territorial}"
                                             required="true">
                                <f:selectItems
                                    value="#{general.territorialesConDireccionGeneralCV}" />
                                <p:ajax process="@this"
                                        listener="#{consultaCotizacionesAvaluos.cargarListaDepartamentos}"
                                        update=":consultarCotizacionesAvaluosForm:departamento,
                                        :consultarCotizacionesAvaluosForm:municipio"
                                        onstart="statusDialog2.show();"
                                        oncomplete="statusDialog2.hide();" />
                            </h:selectOneMenu>
                            <p:message for="territorial" display="icon" />
                        </h:panelGrid>

                        <h:outputText value="" />
                        <h:outputText value="" />

                    </h:panelGrid>

                    <h:panelGrid columns="4" cellspacing="7"
                                 columnClasses="col25p, col25p, col25p, col25p" width="100%">

                        <h:outputLabel value="Número radicación:"
                                       styleClass="outputLabelStyle" />
                        <h:inputText
                            value="#{consultaCotizacionesAvaluos.filtroAvaluos.numeroRadicacion}" />

                        <h:outputLabel value="Sec. Radicado:"
                                       styleClass="outputLabelStyle" />
                        <h:inputText
                            value="#{consultaCotizacionesAvaluos.filtroAvaluos.numeroSecRadicado}" />

                        <h:panelGroup>
                            <h:outputLabel value="Departamento:"
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        </h:panelGroup>
                        <h:panelGrid columns="2" cellspacing="0">
                            <h:selectOneMenu id="departamento" label="Departamento"
                                             value="#{consultaCotizacionesAvaluos.filtroAvaluos.departamento}"
                                             required="true">
                                <f:selectItems
                                    value="#{consultaCotizacionesAvaluos.listaDepartamentos}" />
                                <p:ajax process="@this"
                                        listener="#{consultaCotizacionesAvaluos.cargarListaMunicipios}"
                                        update=":consultarCotizacionesAvaluosForm:municipio"
                                        onstart="statusDialog2.show();"
                                        oncomplete="statusDialog2.hide();" />
                            </h:selectOneMenu>
                            <p:message for="departamento" display="icon" />
                        </h:panelGrid>

                        <h:panelGroup>
                            <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        </h:panelGroup>
                        <h:panelGrid columns="2" cellspacing="0">
                            <h:selectOneMenu id="municipio" label="Municipio"
                                             value="#{consultaCotizacionesAvaluos.filtroAvaluos.municipio}"
                                             required="true">
                                <f:selectItems
                                    value="#{consultaCotizacionesAvaluos.listaMunicipios}" />
                            </h:selectOneMenu>
                            <p:message for="municipio" display="icon" />
                        </h:panelGrid>

                        <h:outputLabel value="Tipo avalúo" styleClass="outputLabelStyle" />
                        <h:selectOneMenu 
                            value="#{consultaCotizacionesAvaluos.filtroAvaluos.tipoAvaluo}">
                            <f:selectItem itemLabel="Seleccionar..." />
                            <f:selectItems value="#{general.avaluoTipoAvaluoV}" />
                        </h:selectOneMenu>

                        <h:outputLabel value="Tipo empresa" styleClass="outputLabelStyle" />
                        <h:selectOneRadio label="Tipo empresa"
                                          value="#{consultaCotizacionesAvaluos.filtroAvaluos.tipoEmpresa}">
                            <f:selectItems value="#{general.personaTipoPersonaV}" />
                            <p:ajax
                                update=":consultarCotizacionesAvaluosForm:datosSolicitantePG"
                                listener="#{consultaCotizacionesAvaluos.onChangeTipoPersona}" />
                        </h:selectOneRadio>
                    </h:panelGrid>

                    <h:panelGrid id="datosSolicitantePG" columns="1" cellspacing="0"
                                 width="100%">

                        <h:panelGrid columns="4" cellspacing="7"
                                     columnClasses="col25p, col25p, col25p, col25p" width="100%"
                                     rendered="#{!consultaCotizacionesAvaluos.banderaEsPersonaNatural}">

                            <h:outputLabel value="Razón social:"
                                           styleClass="outputLabelStyle" />
                            <h:inputText
                                value="#{consultaCotizacionesAvaluos.filtroAvaluos.nombreRazonSocial}"
                                size="40" />

                            <h:outputLabel value="Sigla:" styleClass="outputLabelStyle" />
                            <h:inputText
                                value="#{consultaCotizacionesAvaluos.filtroAvaluos.sigla}"
                                size="10" />

                        </h:panelGrid>

                        <h:panelGrid columns="4" cellspacing="7"
                                     columnClasses="col25p, col25p, col25p, col25p" width="100%"
                                     rendered="#{consultaCotizacionesAvaluos.banderaEsPersonaNatural}">

                            <h:outputLabel value="Primer nombre:"
                                           styleClass="outputLabelStyle" />
                            <h:inputText
                                value="#{consultaCotizacionesAvaluos.filtroAvaluos.primerNombre}"
                                size="40" />

                            <h:outputLabel value="Segundo nombre:"
                                           styleClass="outputLabelStyle" />
                            <h:inputText
                                value="#{consultaCotizacionesAvaluos.filtroAvaluos.segundoNombre}"
                                size="40" />

                            <h:outputLabel value="Primer apellido:"
                                           styleClass="outputLabelStyle" />
                            <h:inputText
                                value="#{consultaCotizacionesAvaluos.filtroAvaluos.primerApellido}"
                                size="40" />

                            <h:outputLabel value="Primer apellido:"
                                           styleClass="outputLabelStyle" />
                            <h:inputText
                                value="#{consultaCotizacionesAvaluos.filtroAvaluos.segundoApellido}"
                                size="40" />

                        </h:panelGrid>

                        <h:panelGrid columns="4" cellspacing="7"
                                     columnClasses="col25p, col25p, col25p, col25p" width="100%">

                            <h:outputLabel value="Fecha radicación desde:"
                                           styleClass="outputLabelStyle" />
                            <p:calendar label="Fecha radicación desde"
                                        value="#{consultaCotizacionesAvaluos.filtroAvaluos.fechaInicial}"
                                        navigator="true" pattern="#{general.formatoFecha}" showOn="both"
                                        title="#{general.formatoFechaUsuario}" effect="slideDown"
                                        size="12">
                                <p:ajax event="dateSelect"
                                        update=":consultarCotizacionesAvaluosForm:panelFechaRadicacionHastaP,
                                        :consultarCotizacionesAvaluosForm:panelFechaRadicacionHastaPG" />
                            </p:calendar>

                            <h:panelGroup id="panelFechaRadicacionHastaP">
                                <h:outputLabel value="Fecha radicación hasta:"
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                               rendered="#{not empty consultaCotizacionesAvaluos.filtroAvaluos.fechaInicial}" />
                            </h:panelGroup>
                            <h:panelGrid columns="2" cellspacing="0"
                                         id="panelFechaRadicacionHastaPG">
                                <p:calendar id="fechaCancelacionHasta"
                                            label="Fecha radicación hasta"
                                            value="#{consultaCotizacionesAvaluos.filtroAvaluos.fechaFinal}"
                                            navigator="true" pattern="#{general.formatoFecha}"
                                            showOn="both" title="#{general.formatoFechaUsuario}"
                                            effect="slideDown" size="12"
                                            mindate="#{consultaCotizacionesAvaluos.filtroAvaluos.fechaInicial}"
                                            required="#{not empty consultaCotizacionesAvaluos.filtroAvaluos.fechaInicial}" />
                                <p:message for="fechaCancelacionHasta" display="icon" />
                            </h:panelGrid>

                            <h:outputLabel value="Valor cotización desde:"
                                           styleClass="outputLabelStyle" />
                            <h:inputText id="valorCotizacionDesde"
                                         label="Valor cotización desde"
                                         value="#{consultaCotizacionesAvaluos.filtroAvaluos.valorCotizacionDesde}">

                                <f:validateDoubleRange minimum="0.0" for="valorCotizacionDesde"
                                                       disabled="#{empty consultaCotizacionesAvaluos.filtroAvaluos.valorCotizacionDesde}" />
                                <f:converter converterId="converterMoneda"
                                             for="valorCotizacionDesde" />

                                <p:ajax event="blur" update="valorCotizacionDesde"
                                        onstart="aplicarFormatoMoneda('consultarCotizacionesAvaluosForm:valorCotizacionDesde',true);" />
                                <p:ajax event="focus"
                                        onstart="aplicarFormatoMoneda('consultarCotizacionesAvaluosForm:valorCotizacionDesde',false);" />
                                <p:ajax event="change"
                                        update=":consultarCotizacionesAvaluosForm:valorCotizacionHastaP,
                                        :consultarCotizacionesAvaluosForm:valorCotizacionHastaPG" />

                            </h:inputText>

                            <h:panelGroup id="valorCotizacionHastaP">
                                <h:outputLabel value="Valor cotización hasta:"
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                               rendered="#{not empty consultaCotizacionesAvaluos.filtroAvaluos.valorCotizacionDesde}" />
                            </h:panelGroup>
                            <h:panelGrid columns="2" cellspacing="0"
                                         id="valorCotizacionHastaPG">
                                <h:inputText id="valorCotizacionHasta"
                                             label="Valor cotización hasta"
                                             value="#{consultaCotizacionesAvaluos.filtroAvaluos.valorCotizacionHasta}"
                                             required="#{not empty consultaCotizacionesAvaluos.filtroAvaluos.valorCotizacionDesde}">

                                    <f:validateDoubleRange
                                        minimum="#{consultaCotizacionesAvaluos.filtroAvaluos.valorCotizacionDesde}"
                                        for="valorCotizacionHasta"
                                        disabled="#{empty consultaCotizacionesAvaluos.filtroAvaluos.valorCotizacionHasta}" />
                                    <f:converter converterId="converterMoneda"
                                                 for="valorCotizacionHasta" />

                                    <p:ajax event="blur" update="valorCotizacionDesde"
                                            onstart="aplicarFormatoMoneda('consultarCotizacionesAvaluosForm:valorCotizacionHasta',true);" />
                                    <p:ajax event="focus"
                                            onstart="aplicarFormatoMoneda('consultarCotizacionesAvaluosForm:valorCotizacionHasta',false);" />

                                </h:inputText>
                                <p:message for="valorCotizacionHasta" display="icon" />
                            </h:panelGrid>

                        </h:panelGrid>

                    </h:panelGrid>

                    <h:panelGrid columns="1" cellspacing="7">

                        <p:commandButton value="Buscar" icon="ui-icon ui-icon-search"
                                         update=":consultarCotizacionesAvaluosForm:cotizacionesAvaluosDT,
                                         :consultarCotizacionesAvaluosForm:busquedaCotizacionesAvaluosPG,
                                         :msgsCCA"
                                         action="#{consultaCotizacionesAvaluos.buscar}"
                                         onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();" />

                    </h:panelGrid>
                </p:fieldset>

            </h:panelGrid>

            <p:fieldset>
                <legend>
                    <h:outputText value="Resultados de la consulta"
                                  styleClass="legendTitle" />
                </legend>

                <ui:include
                    src="consultarCotizacionesAvaluosResultadosBusqueda.xhtml" />

            </p:fieldset>

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{consultaCotizacionesAvaluos.cerrar}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>

        <!-- ................................... CASOS DE USO  .................................. -->
        <p:dialog widgetVar="detallesCotizacionWV"
                  header="Detalles cotización por predios"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="900">
            <ui:include
                src="/avaluos/ejecucion/consultarCotizacionesAvaluosPorPredios.xhtml" />
        </p:dialog>

        <!-- ............................. CASOS DE USO TRANSVERSALES ............................ -->
        <!-- DIALOG PARA INFORMACION DE DEPARTAMENTOS Y MUNICIPIOS DE LOS PREDIOS DE UN AVALUO -->
        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA INFORMACION PREDIAL -->
        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <!-- CC PARA INFORMACION DETALLADA DE PREDIOS -->
        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

        <!-- VISOR GEOGRAFICO -->
        <ui:include src="/util/visorGeografico.xhtml" />

        <!-- CC PARA INFORMACION DE LA SOLICITUD -->
        <avaluos:informacionSolicitudCC id="isCC"
                                        thisWVName="infoSolicitudCCWV" thisId="isCC" mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV" detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV" infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <!-- DIALOG PARA INFORMACION DEL SOLICITANTE -->
        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="900" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <!-- DIALOG PARA INFORMACION DE DOCUMENTOS DE LA SOLICITUD -->
        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>

    </ui:define>
</ui:composition>